VREDefinitionService (VRE Definition Portlet 5.1.0-SNAPSHOT API)
Date: 2019-07-29

org.gcube.portlets.admin.vredefinition.client

## Interface VREDefinitionService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    VREDefinitionServiceImpl

      @RemoteServiceRelativePath(value="VREDefinitionServiceImpl")
      public interface VREDefinitionService
      extends com.google.gwt.user.client.rpc.RemoteService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<Functionality>` | `getFunctionality(boolean isEdit)` Request the vre functionalities to show (the returned object is a tree like structure that could be navigated)
    `Map<String,Serializable>` | `getVRE()` Retrieve VRE (that is going to be created) information
    `boolean` | `setVRE(VREDescriptionBean bean, ArrayList<Functionality> functionalities)` Create a VRE with the definition information included into the description bean and with the functionalities set into the functionalities array list

- - ### Method Detail

    - #### getVRE

          Map<String,Serializable> getVRE()

      Retrieve VRE (that is going to be created) information
      Returns:
        an hashmap with a VREDefinitionBean object, a vre designer and some vre managers (if any).

    - #### getFunctionality

          ArrayList<Functionality> getFunctionality(boolean isEdit)
                                             throws VREDefinitionException

      Request the vre functionalities to show (the returned object is a tree like structure that could be navigated)
      Parameters:
        `isEdit` -
      Returns:
      Throws:
        `VREDefinitionException`

    - #### setVRE

          boolean setVRE(VREDescriptionBean bean,
                         ArrayList<Functionality> functionalities)
                  throws VREDefinitionException

      Create a VRE with the definition information included into the description bean and with the functionalities set into the functionalities array list
      Parameters:
        `bean` -
        `functionalities` -
      Returns:
      Throws:
        `VREDefinitionException`

Copyright © 2019. All Rights Reserved.